BGPD(8)

NAME
bgpd - a BGPv4, BGPv4+, BGPv4- routing engine for use with Quagga routing software

SYNOPSIS
bgpd [ -dhrv ] [ -f config-file ] [ -i pid-file ] [ -p bgp-port-number ] [ -P port-number ] [ -A vty-address ] [ -u user ] [ -g group ]

DESCRIPTION
bgpd is a routing component that works with the Quagga routing engine.

OPTIONS
Options available for the bgpd command:

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/bgpd.conf.

-g, --group group
    Specify the group to run as. Default is quagga.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When bgpd starts its process identifier is written to pid-file. The init system uses the recorded PID to stop or restart bgpd. The likely default is /var/run/bgpd.pid.

-p, --bgp_port bgp-port-number
    Set the port that bgpd will listen to for bgp data.

-P, --vty_port port-number
    Specify the port that the bgpd VTY will listen on. This defaults to 2605, as specified in /etc/services.

-A, --vty_addr vty-address
    Specify the address that the bgpd VTY will listen on. Default is all interfaces.

-u, --user user
    Specify the user to run as. Default is quagga.

-r, --retain
    When the program terminates, retain routes added by bgpd.

-v, --version
    Print the version and exit.

FILES

/usr/local/sbin/bgpd
    The default location of the bgpd binary.

/usr/local/etc/bgpd.conf
    The default location of the bgpd config file.

$(PWD)/bgpd.log
    If the bgpd process is config'd to output logs to a file, then you will find this file in the directory where you started bgpd.

WARNING
This man page is intended to be a quick reference for command line options. The definitive document is the Info file Quagga.

DIAGNOSTICS
The bgpd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. bgpd supports many debugging options, see the Info file, or the source for details.

SEE ALSO
ripd(8), ripngd(8), ospfd(8), ospf6d(8), isisd(8), zebra(8), vtysh(1)

BUGS
bgpd eats bugs for breakfast. If you have food for the maintainers try http://bugzilla.quagga.net

AUTHORS
See http://www.zebra.org and http://www.quagga.net or the Info file for an accurate list of authors.